SuSE 11.3 Security Update : util-linux (SAT Patch Number 10452)

High Nessus Plugin ID 82021


The remote SuSE 11 host is missing one or more security updates.


util-linux has been updated to fix one security issue :

- command injection flaw in blkid (bnc#907434).
Additionally, these non-security issues have been fixed :. (CVE-2014-9114)

- Fix possible script hang. (bnc#888678)

- Enable build of libmount / findmnt. (bnc#900965)

- Don't stop trying filesystem when mounting fails with EACCESS. (bnc#918041)

- Fix possible loop in findmnt (bsc#917164)

- Recognize Unisys s-Par as hypervisor (FATE#318231)

- Include the utmpdump.1 manpage (bsc#901549).


Apply SAT patch number 10452.

See Also

Plugin Details

Severity: High

ID: 82021

File Name: suse_11_libblkid-devel-150311.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2015/03/24

Modified: 2015/03/24

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libblkid1, p-cpe:/a:novell:suse_linux:11:libblkid1-32bit, p-cpe:/a:novell:suse_linux:11:libuuid-devel, p-cpe:/a:novell:suse_linux:11:libuuid1, p-cpe:/a:novell:suse_linux:11:libuuid1-32bit, p-cpe:/a:novell:suse_linux:11:util-linux, p-cpe:/a:novell:suse_linux:11:util-linux-lang, p-cpe:/a:novell:suse_linux:11:uuid-runtime, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2015/03/11

Reference Information

CVE: CVE-2014-9114